-----------------------------------
Firearms Half-Life
Release Candidate 2.5 -- Readme.txt
http://www.firearmsmod.com
-----------------------------------

[RC 2.5] - New Features

- Compass System
- Weapons Prediction Code
- Realistic Weapons Handling (RWH) Code
- New Weapon: Sterling SMG
- New Play Mode: Territorial Control
- New sounds for M82, FA-MAS, M-16, Ingram M11s, M60, AK-47
- New parchute animations and new parachute model
- New ammobox model
- Read-in weapons names from a file on client machine
- Team Vote System for llama removal
- Highlight player name on scoreboard
- Not giving rein to blue on push capture map fixed
- Weapons buying menu not displaying credits remaining fixed
- Fix grenade->changeteam->kill exploit fixed
- New HUD graphics
- New menu graphics and design
- Fatigue meter going under when running back and jumping fixed
- Changed STG24 to explode after 5 seconds of priming, reguardless
- Tweak max penetration value versus solid brushes
- Increased Claymore damage radius and kill zone damage
- Weapons casing setting for none, every 3rd and all
- Parachutes are now detachable at any height



-------------------------------
Overview

Firearms is a modification for Valve's award winning Half-Life.  Firearms is a multiplayer modification that introduces realistic weaponry and new exciting scenarios to the half-life engine.  The purpose of Firearms is to bring an entertaining multiplayer experience by combining real world weapons and scenarios to the Half-Life engine.

Firearms emphasizes team cooperation with unique scenarios such as Push and Capture the Intelligence.  It is also fully customizable, allowing players to contribute to their team in many different ways such as providing cover fire or taking the role of a sniper.  With Firearms, players can immerse themselves in modern warfare with realistic weapons, accessories, and environments.  

Included maps feature scenarios such as the territorial push, and the unique Capture the Intelligence (or CTI).  With Capture the Intelligence, mapmakers have the freedom to make their own scenarios rather than be restricted to simple capture the flag or team deathmatch.

A plethora of modern day weaponry is also included.  An assortment of pistols, shotguns, sub-machineguns, rifles, grenades, explosives, and accessories are at your disposal.  These weapons can be accessed through a unique credits system which gives players who have just entered the game, as good a chance as one who has been playing for an hour.

Now, with the addition of the innovative skill and ranking system, a feeling of accomplishment is added as you battle with your team.  The ability to earn valuable traits such as field medicine and leadership adds more to the firearms experience.

We believe that Firearms provides a unique experience for all players, and we sincerely hope that you will enjoy this exciting modification as you are immersed in the world of modern warfare.

-------------------------------
Quickstart

1.  Start Firearms by double clicking on the Firearms icon on your desktop
2.  Configure your controls by selecting configuration, then controls
3.  Customize your online persona by selecting multiplayer, then customize
4.  Join a game by selecting multiplayer, then internet games

-------------------------------
Basic Gameplay

Before you begin experiencing the excitement of online warfare, make sure you've configured your controls and customized your online persona.  Make sure you assigned slots 6-9 in your controls configuration, or some menus may not function properly.  Most people don't think to highly of someone named 'Player', so make sure to make a good first impression.  Now go ahead and join a server.  If you need assistance with Gamespy (http://www.gamespy3d.com) or Half-Life's built in internet browser, consult their documentation.

Once you connect you will be suspended in mid air with a team selection menu before you.  Choose either the Red or Blue Force or let the computer choose for you.  Then either select the option to configure your weapons, or choose a predefined class.  If you choose to configure your arsenal by yourself, you will have to choose armor, an optional item, and weapons.  As you're building up your arsenal, watch your credits, the more you use up, the more weighted you will become.  Also keep in mind that weapons which you cannot buy with the credits remaining will not show up on the menu.

Once you've finished your selections you'll be dropped into the battlefield.  The gameplay modes currently supported are Teamplay, Capture the Intelligence, and Push.  They all provide unique gaming experiences so be sure to try them all.

From here on your best bet is to experiment.  Try out all the weapons, find out what works for you and what doesn't.  Only by understanding the weapons can you master Firearms.  Good luck, and we hope that you enjoy this modification for Half-Life!

-------------------------------
New Controls

Apply bandage - Press this button when you are bleeding to patch up the wounds (Only available if you have a bandage.  If you see a blood drop periodically appearing on your HUD, you are bleeding.

Toggle weapon fire mode - This button switches between firing modes on your weapons.  These consist of single shot, full auto, and 3 round burst.  Keep in mind that certain guns do not have some firing modes.

Bring up Use Skills menu - To use certain skills such as building artillery you will need to press this button and select the appropriate function.

Show Available Skills - If you need to see what skills you currently have press this button.

Bring up Radio/Voice Menu - When you press this button you will have the ability to use a predefined radio or voice message.  Radio messages to go everyone on your team.  Voice messages are heard by those around you.  Have fun with the war cry :)

Toggle prone position - This switches between standing up and being prone.  Being prone makes your person lie on their stomach and allows for increased accuracy

Use item - Use items allows you to do such functions as press buttons, use ammo crates, and fire mortars.

Drop item - Pressing this button will make you drop the Capture the Intelligence item you are currently holding.  (Usually a case or flag) 

-------------------------------
Skill and Ranking System

With the release of release candidate 2.1 came the introduction of the skill and ranking system.  Every time you earn 10 points, you will earn a rank.  Upon earning a rank you will be able to choose a skill such as nomenclature (faster reloading) or artillery (ability to use mortars).  We feel that this is a very exciting addition, as it allows you to build up the character you wish to play and adds a new dimension to Firearms.  Plus, while the skills are beneficial, they do not unbalance the game to the point where it is difficult for players just entering the game to succeed.

If you would like to read a comprehensive guide on the skills, please visit http://www.firearmsmod.com and look under the manual section for a skill guide.  It contains information on every skill, allowing you to evaluate the skills beforehand so you can make an educated choice on which you want during the game.

-------------------------------
Fatigue System

The fatigue system was introduced with release candidate 2.1 as well.  This was added to encourage more strategic play in firearms.  You can see the status of your stamina by looking at the colored bar on the left side of your screen.  Whenever you do any activity such as running or jumping, you will become more fatigued.  Once the bar on the left becomes drained completely, you movement speed will become much slower, forcing you to rest.  In order to gain stamina back you must either stand still or crouch.  Crouching is the fastest way to regain stamina so keep that in mind when you are fatigued.  Also, jumping fatigues you greatly, so jump sparingly.

-------------------------------
Compass

The compass is a bar displayed on your HUD, at either the top or bottom of your screen. It displays map objectives, the position of your squad leader, and the position of any radio commands, such as artillery requests. Console sommands for the compass are: cl_compass 0/1/2 for off, top, and bottom. A flag in the compass denotes a "push" point. It will either be Red, Blue, (depending on which team controls it) or white (if no one controls it). A red or blue crate signals a "search and destroy" crate. These won't change color. A yellow star is the position of your leader, and a green radio is the position of the last radio command. Note that the compass does NOT show height, just general direction (N, S, E, W).

-------------------------------
Other Notes

The secondary fire key will use the scope on your weapon of it has one. Other weapons may have other secondary functions, such as bayonets, mounted grenade launchers, flashlights, or lasers.

The use key will open up your parachute while you are in the air, and take it off when you are on the ground.

-------------------------------
Beta Status

Firearms is currently in beta and because of such may have unforseen problems and glitches. For example, the game may crash or glitches may occur.  If you encounter such problems, please let us know by e-mailing us or posting on our forums located at http://www.firearmsmod.com

-------------------------------
Known Issues

There are no known issues at this time.

-------------------------------
Credits

Eric Smith
--Team Lead / Lead Programming

Alfred Reynolds
--Programming and Linux Release

Scott Rennie
--Programming

Christian Řelund 
--Graphics 

Ross Thelen 
--Graphics 

Ben Irwin 
--Graphics 

Tobias Dedenroth 
--Graphics 

Tyler Munden 
--Lead Level Design 

Michael Hope 
--Level Design 

Gary Lanza 
--Level Design 

Sean Ness 
--Level Design 

Graham Davis
--Level Design

David Reeves
--Level Design/Web Master

Dane Macbeth 
--Skinning 

Jeremy Jung 
--Administration 

Matt Mcclure 
--Support

David Reeves
--Level Design


Outside contributors:
--Jeff Lane (Mapping)
--Rob F. Lutz (Mapping)
--Graham Davis (Mapping)

Additional Programming:
--Sven Jacobs 
--Mike Weldon

Testing Team
Matt Mcclure, Dane Macbeth, William Nill, Jakob
Hansen, Jeremy Jung, Adam Begin and Matt Pagano.

Special Thanks to
Caspar Milan Nielson, Recon Gamer, Planet Half-Life, Ken Bentley, Bentley Frost, 
Gabe Newell, Harry Teasley, Yahn Bernier, Robin Walker,
Eric Johnson and J Schuur.